SIS900_SET_WOL(9)

NAME
sis900_set_wol - Set up Wake on Lan registers

SYNOPSIS

int sis900_set_wol (struct net_device * net_dev, struct ethtool_wolinfo * wol);

ARGUMENTS

net_dev
    the net device to probe

wol container for info passed to the driver

DESCRIPTION

Process ethtool command ``wol'' to setup wake on lan features. SiS900 supports sending WoL events if a correct packet is received, but there is no simple way to filter them to only a subset (broadcast, multicast, unicast or arp).

AUTHORS
Ollie Lho, Lei Chun Chang.